## neutron 2014.1

=== requirements.txt ===
pbr>=0.6,<1.0

Paste
PasteDeploy>=1.5.0
Routes>=1.12.3
amqplib>=0.6.1
anyjson>=0.3.3
argparse
Babel>=1.3
eventlet>=0.13.0
greenlet>=0.3.2
httplib2>=0.7.5
requests>=1.1
iso8601>=0.1.9
jsonrpclib
Jinja2
kombu>=2.4.8
netaddr>=0.7.6
python-neutronclient>=2.3.4,<3
SQLAlchemy>=0.7.8,<=0.9.99
WebOb>=1.2.3
python-keystoneclient>=0.7.0
alembic>=0.4.1
six>=1.5.2
stevedore>=0.14
oslo.config>=1.2.0
oslo.rootwrap

python-novaclient>=2.17.0

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_install:
	dh_install --fail-missing -X/usr/etc -X/usr/bin/quantum

override_dh_installinit:
	dh_installinit
	dh_installinit -pneutron-plugin-openvswitch-agent --no-start --name=neutron-ovs-cleanup

override_dh_auto_clean:
	dh_clean

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Unpatch quantum configuration to fixup tests which conflict
	# with a core_plugin being set.
	patch -p1 -R < debian/patches/fix-quantum-configuration.patch
	# Set a reasonable level of concurrency
	testr init && ./run_tests.sh -N -P
	# Patch configuration file after testing
	patch -p1 < debian/patches/fix-quantum-configuration.patch
endif

=== debian/tests/control ===
Tests: neutron-daemons python-neutron cisco-plugin nec-plugin bigswitch-plugin
 hyperv-plugin brocade-plugin plumgrid-plugin vmware-plugin openvswitch-plugin
 linuxbridge-plugin ryu-plugin midonet-plugin
Depends: neutron-server, neutron-l3-agent, neutron-dhcp-agent, neutron-metadata-agent,
 neutron-lbaas-agent, python-neutron, rabbitmq-server
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/neutron/+download https://launchpad.net/neutron/.*/.*/.*/neutron-(.*)\.tar\.gz

## neutron 2014.1.3

=== requirements.txt ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 Paste
 PasteDeploy>=1.5.0
-Routes>=1.12.3
-amqplib>=0.6.1
+Routes>=1.12.3,!=2.0
 anyjson>=0.3.3
 argparse
 Babel>=1.3
@@ -17,11 +16,11 @@
 kombu>=2.4.8
 netaddr>=0.7.6
 python-neutronclient>=2.3.4,<3
-SQLAlchemy>=0.7.8,<=0.9.99
+SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
 WebOb>=1.2.3
 python-keystoneclient>=0.7.0
 alembic>=0.4.1
-six>=1.5.2
+six>=1.6.0
 stevedore>=0.14
 oslo.config>=1.2.0
 oslo.rootwrap

=== debian/changelog ===
neutron (2014.1.3-11) unstable; urgency=medium

  * Use separate debconf variables for the metadata server (Closes: #774788).
  * Rebuilding with openstack-pkg-tools (>= 22~) to make sure daemons are
    started automatically at first install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 14:16:37 +0000

neutron (2014.1.3-10) unstable; urgency=medium

  * Sets neutron/configure_db default value to false (Closes: #774792).

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 00:05:56 +0100

neutron (2014.1.3-9) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 21~) to ensure we have the sysv-rc
    fixes.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Jan 2015 21:39:14 +0000

neutron (2014.1.3-8) unstable; urgency=medium

  * Only use dbconfig-common and change the connection directive if the user
    asked for it (Closes: #770944).
  * Build-depends on openstack-pkg-tools (>= 20~) to ensure we have the systemd
    fixes.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Dec 2014 20:38:09 +0800

neutron (2014.1.3-7) unstable; urgency=high

  * Add a patch to not use PROTOCOL_SSLv3 which is gone from Python in Sid.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Nov 2014 10:37:07 +0000

neutron (2014.1.3-6) unstable; urgency=high

  * CVE-2014-7821: DoS through invalid DNS configuration. Applied upstream
    patch: Fix hostname regex pattern (Closes: #770431).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Nov 2014 16:25:18 +0800

neutron (2014.1.3-5) unstable; urgency=medium

  * Adds Danish debconf translations thanks to Joe Dalton <joedalton2@yahoo.dk>
    (Closes: #765845).
  * Adds Dutch debconf translations thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #766207).

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Oct 2014 08:06:45 +0000

neutron (2014.1.3-4) unstable; urgency=medium

  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Oct 2014 05:06:30 +0000

neutron (2014.1.3-3) unstable; urgency=medium

  * Re-added .upstart.in file for neutron-server and OVS agent.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Oct 2014 19:06:52 +0800

neutron (2014.1.3-2) unstable; urgency=medium

  * Mangling upstream rc and beta versions in watch file.
  * Using templated init, upstart and systemd scripts from
    openstack-pkg-tools >= 13.
  * Removed all debian/*.logrotate, using only one in the -common package.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:41:16 +0800

neutron (2014.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 20:18:48 +0800

neutron (2014.1.2-1) unstable; urgency=medium

  * New upstream point release.
  * New minimal version for python-six is 1.6.0.
  * Removed patch applied upstream:
    - CVE-2014-3555_Denial_of_Service_allowed_address_pair.patch
  * Refreshed patch:
    - 0001-Add-parameter-and-iptables-rules-to-protect-dnsmasq-.patch

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Aug 2014 00:22:47 +0800

neutron (2014.1.1-3) unstable; urgency=high

  * CVE-2014-3555: Denial of Service in Neutron allowed address pair. Applied
    upstream patch (Closes: #755134).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Jul 2014 10:33:05 +0800

neutron (2014.1.1-2) unstable; urgency=medium

  * Disabled ml2 config patch.
  * Fixed unix rights of /var/lib/neutron in the metadata-agent postinst
    (Closes: #751524).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Jun 2014 20:53:20 +0800

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               openstack-pkg-tools (>= 22~),
               po-debconf,
               python-all (>= 2.6),
               python-pbr (>= 0.6),
               python-sphinx
Build-Depends-Indep: alembic (>= 0.4.1),
                     bridge-utils,
                     pep8 (>= 1.3.3),
                     python-amqplib,
                     python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-cliff (>= 1.4.5),
                     python-configobj,
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-gflags,
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.8.0),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2,
                     python-jsonrpclib,
                     python-keystoneclient (>= 1:0.6.0),
                     python-kombu (>= 2.4.8),
                     python-lxml,
                     python-mock (>= 1.0),
                     python-netaddr (>= 0.7.6),
                     python-netifaces,
                     python-neutronclient (>= 2.3.4),
                     python-nose,
                     python-nosexcover,
                     python-novaclient (>= 2:2.17.0),
                     python-oslo.config (>= 1.2.1),
                     python-oslo.rootwrap,
                     python-paste,
                     python-pastedeploy,
                     python-pyudev,
                     python-requests (>= 1.1),
                     python-routes,
                     python-setuptools,
                     python-simplejson,
                     python-six (>= 1.6.0),
                     python-sqlalchemy,
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-testrepository (>= 0.0.13),
                     python-testtools (>= 0.9.34),
                     python-unittest2,
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0.9),
                     subunit,
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Homepage: http://neutron.openstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/neutron.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/neutron.git

Package: python-neutron
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Replaces: python-quantum (<< 2013.2~),
          quantum-common (<< 2013),
          quantum-dhcp-agent (<< 2013),
          quantum-l3-agent (<< 2013),
          quantum-plugin-cisco (<< 2013),
          quantum-plugin-linuxbridge (<< 2013),
          quantum-plugin-linuxbridge-agent (<< 2013),
          quantum-plugin-metaplugin (<< 2013),
          quantum-plugin-nec (<< 2013),
          quantum-plugin-nec-agent (<< 2013),
          quantum-plugin-nicira (<< 2013),
          quantum-plugin-openvswitch (<< 2013),
          quantum-plugin-openvswitch-agent (<< 2013),
          quantum-plugin-ryu (<< 2013),
          quantum-plugin-ryu-agent (<< 2013)
Breaks: python-quantum (<< 2013.2~),
        quantum-common (<< 2013),
        quantum-dhcp-agent (<< 2013),
        quantum-l3-agent (<< 2013),
        quantum-plugin-cisco (<< 2013),
        quantum-plugin-linuxbridge (<< 2013),
        quantum-plugin-linuxbridge-agent (<< 2013),
        quantum-plugin-metaplugin (<< 2013),
        quantum-plugin-nec (<< 2013),
        quantum-plugin-nec-agent (<< 2013),
        quantum-plugin-nicira (<< 2013),
        quantum-plugin-openvswitch (<< 2013),
        quantum-plugin-openvswitch-agent (<< 2013),
        quantum-plugin-ryu (<< 2013),
        quantum-plugin-ryu-agent (<< 2013)
Depends: alembic (>= 0.4.1),
         python-amqplib,
         python-anyjson (>= 0.3.3),
         python-babel (>= 1.3),
         python-configobj,
         python-eventlet (>= 0.13.0),
         python-gflags,
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.9),
         python-jinja2,
         python-jsonrpclib,
         python-keystoneclient (>= 1:0.6.0),
         python-kombu (>= 2.4.8),
         python-lxml,
         python-migrate,
         python-netaddr (>= 0.7.6),
         python-neutronclient (>= 2.3.4),
         python-novaclient (>= 2:2.17.0),
         python-oslo.config (>= 1.2.1),
         python-oslo.rootwrap,
         python-paste,
         python-pastedeploy,
         python-pbr (>= 0.6),
         python-pyudev,
         python-requests (>= 1.1),
         python-routes,
         python-simplejson,
         python-six (>= 1.6.0),
         python-sqlalchemy,
         python-stevedore (>= 0.14),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: neutron-server
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: quantum-server (<< 2013.2~)
Replaces: quantum-server (<< 2013.2~)
Description: OpenStack virtual network service - server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron server.

Package: neutron-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         debconf,
         dpkg-dev,
         python-cliff,
         python-mysqldb,
         python-neutron (= ${source:Version}),
         python-pyparsing (>=1.5.7),
         python-sqlalchemy,
         ${misc:Depends},
         ${python:Depends}
Provides: neutron-plugin,
          neutron-plugin-bigswitch,
          neutron-plugin-brocade,
          neutron-plugin-cisco,
          neutron-plugin-hyperv,
          neutron-plugin-linuxbridge,
          neutron-plugin-metaplugin,
          neutron-plugin-ml2,
          neutron-plugin-nec,
          neutron-plugin-nicira,
          neutron-plugin-openvswitch,
          neutron-plugin-plumgrid,
          neutron-plugin-ryu,
          quantum-plugin,
          quantum-plugin-bigswitch,
          quantum-plugin-brocade,
          quantum-plugin-cisco,
          quantum-plugin-hyperv,
          quantum-plugin-linuxbridge,
          quantum-plugin-metaplugin,
          quantum-plugin-nec,
          quantum-plugin-nicira,
          quantum-plugin-openvswitch,
          quantum-plugin-plumgrid,
          quantum-plugin-ryu
Breaks: quantum-plugin-linuxbridge-agent (<< 2013.2~),
        quantum-plugin-openvswitch-agent (<< 2013.2~),
        quantum-server (<< 2013.2~)
Replaces: quantum-plugin-linuxbridge-agent (<< 2013.2~),
          quantum-plugin-openvswitch-agent (<< 2013.2~),
          quantum-server (<< 2013.2~)
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-plugin-nec-agent
Architecture: all
Provides: neutron-plugin
Pre-Depends: dpkg (>= 1.15.6~)
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: quantum-plugin-nec-agent (<< 2013.2~)
Replaces: quantum-plugin-nec-agent (<< 2013.2~)
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-l3-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         debconf,
         iputils-arping,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: openvswitch-switch
Conflicts: neutron-vpn-agent
Breaks: quantum-l3-agent (<< 2013.2~)
Replaces: quantum-l3-agent (<< 2013.2~)
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-dhcp-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dnsmasq-base,
         dnsmasq-utils,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: quantum-dhcp-agent (<< 2013.2~)
Replaces: quantum-dhcp-agent (<< 2013.2~)
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: quantum-metadata-agent (<< 2013.2~)
Replaces: quantum-metadata-agent (<< 2013.2~)
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: neutron-plugin-metering-agent
Breaks: quantum-server (<< 2013.2~)
Replaces: quantum-server (<< 2013.2~)
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

PYTHONS:=$(shell pyversions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	echo "Nothing to do!"
#	dh_auto_install
#	find . -type d -name tests | xargs rm -fr
#	for i in neutron/db/migration/alembic_migrations/versions/*.py ; do \
#		install -D -m 0664 $$i debian/tmp/usr/lib/python2.6/dist-packages/$$i ; \
#		install -D -m 0664 $$i debian/tmp/usr/lib/python2.7/dist-packages/$$i ; \
#	done

override_dh_install:
	set -e ; for pyvers in $(PYTHONS) ; do \
		python$$pyvers setup.py install --install-layout=deb --root=$(CURDIR)/debian/neutron-common ; \
		python$$pyvers setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
		mkdir -p $(CURDIR)/debian/python-neutron/usr/lib/python$$pyvers/dist-packages ; \
		cp -auxf neutron $(CURDIR)/debian/python-neutron/usr/lib/python$$pyvers/dist-packages ; \
	done
	dh_install -O--buildsystem=python_distutils --fail-missing -X/usr/etc -X/usr/bin
	rm -rf $(CURDIR)/debian/neutron-common/usr/lib
	rm -rf $(CURDIR)/debian/neutron-common/usr/bin/quantum*
	rm -rf $(CURDIR)/debian/neutron-common/usr/etc

	install -D -m 0640 etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini       $(CURDIR)/debian/neutron-common/usr/share/neutron-common/ovs_neutron_plugin.ini

	install -D -m 0640 etc/metadata_agent.ini					$(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini
	sed -i -e 's|^# nova_metadata_ip = 127.0.0.1|nova_metadata_ip = 127.0.0.1|'	$(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

	# Move the OVS config file, since we use debconf for it
	rm $(CURDIR)/debian/neutron-common/etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini
	install -D -m 0640 etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini $(CURDIR)/debian/neutron-common/usr/share/neutron-common/ovs_neutron_plugin.ini

override_dh_auto_clean:
	dh_auto_clean
	rm -f neutron/vcsversion.py
	find . -type f -name "*.pyc" | xargs rm -fr
	rm -rf build neutron.egg-info
	rm -rf setuptools_git-*-py*.egg/
	rm -f debian/neutron-common.config \
		debian/neutron-common.postinst \
		debian/neutron-server.config \
		debian/neutron-server.postinst \
		debian/neutron-dhcp-agent.postinst \
		debian/neutron-metadata-agent.config \
		debian/neutron-metadata-agent.postinst

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P || true
endif

override_dh_auto_build:
	#dh_auto_build -O--buildsystem=python_distutils

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-server.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-dhcp-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.config

## neutron 2014.1.5

=== requirements.txt ===
pbr>=0.6,<1.0

Paste
PasteDeploy>=1.5.0,<=1.5.2
Routes>=1.12.3,!=2.0
anyjson>=0.3.3,<=0.3.3
argparse
Babel>=1.3,<=1.3
eventlet>=0.13.0,<0.16.0
greenlet>=0.3.2,<=0.4.5
httplib2>=0.7.5,<=0.9
requests>=1.1,<=2.6.0
iso8601>=0.1.9,<=0.1.10
jsonrpclib
Jinja2<=2.7.3
kombu>=2.5.0,<=3.0.7
netaddr>=0.7.6,<=0.7.14
python-neutronclient>=2.3.4,<2.3.11
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
WebOb>=1.2.3,<=1.4
python-keystoneclient>=0.7.0,<0.12.0
alembic>=0.4.1,<=0.7.5.post2
six>=1.6.0,<=1.9.0
stevedore>=0.14
oslo.config>=1.2.0,<1.5
oslo.rootwrap<1.4

python-novaclient>=2.17.0,<2.21

=== debian/changelog ===
neutron (1:2014.1.5-0ubuntu8) trusty; urgency=medium

    * d/p/update_dhcp_host_portbinding_on_failover.patch: Update dhcp
      host portbinding on failover.(LP: #1411163)

 -- Hui Xiang <hui.xiang@canonical.com>  Fri, 25 Nov 2016 15:59:33 +0800

neutron (1:2014.1.5-0ubuntu7) trusty; urgency=medium

  * agent/linux/ip_lib.py does not correctly handle output from 'iproute2'
    command. (LP: #1374663):
    - d/p/neutron-ns-iface-enum.patch: Searches /sys/class/net for the correct
      interface name instead of scraping iproute2 output.

 -- Shane Peters (Shaner) <shane.peters@canonical.com>  Thu, 03 Nov 2016 16:53:31 -0400

neutron (1:2014.1.5-0ubuntu6) trusty; urgency=medium

  * iptables_manager can run very slowly when a large number of security group
    rules are present (LP: #1453264)
    - d/p/use-dictionary-for-iptables-find.patch: Use a dictionary for looking
      up iptables rules rather than an iterator.

 -- Billy Olsen <billy.olsen@canonical.com>  Mon, 29 Aug 2016 15:06:06 -0700

neutron (1:2014.1.5-0ubuntu5) trusty; urgency=medium

  * Backport performance fix by refactoring logging statements. (LP: #1414218):
    - d/p/refactor-log-in-loop.patch: do not perform debug trace with each
      iteration through the loop of ports, instead log it once at the end.

 -- Billy Olsen <billy.olsen@canonical.com>  Tue, 05 Jul 2016 15:07:28 -0700

neutron (1:2014.1.5-0ubuntu4) trusty; urgency=medium

  * neutron-openvswitch-agent stuck on 'q-agent-notifier-port-update_fanout-x'
    is NOT_FOUND exception, this bug caused RabbitMQ HA(active + active) failover
    in Icehouse not work with large scaled nova compute nodes. (LP: #1393391):
    - d/p/fix-neutron-agent-fanout-queue-not-found-loop.patch

 -- Hui Xiang <hui.xiang@canonical.com>  Mon, 25 Jan 2016 15:25:13 +0800

neutron (1:2014.1.5-0ubuntu3) trusty; urgency=medium

  [ Corey Bryant ]
  * d/p/make_del_fdb_flow_idempotent.patch: Cherry pick from Juno
    to prevent KeyError on duplicate port removal in del_fdb_flow()
    (LP: #1531963).
  * d/tests/*-plugin: Fix race between service restart and pidof test.

  [ James Page ]
  * d/p/ovs-restart.patch: Ensure that tunnels are fully reset on ovs
    restart (LP: #1460164).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Feb 2016 14:52:04 -0500

neutron (1:2014.1.5-0ubuntu2) trusty; urgency=medium

  * Backport upstream proposed fix (LP: #1318721):
    - d/p/fix-reconnect-race-condition-with-rabbitmq-cluster.patch:
      Redeclare if exception is catched after self.queue.declare() failed.

 -- Hui Xiang <hui.xiang@canonical.com>  Thu, 17 Dec 2015 16:35:40 +0800

neutron (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (877df58) (LP: #1467533):
    - [cae7108] Fix enable_snat column migration for Postgres + SQLite
    - [61571b4] Persist DHCP leases to a local database
    - [fba8d9b] Process port IP requests before subnet requests
    - [43fe809] Don't resync on DHCP agent setup failure
    - [91cc867] Deal with PEP-0476 certificate chaining checking
    - [877df58] Ignore http_proxy while connecting to test WSGI server

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Jun 2015 10:14:52 -0400

neutron (1:2014.1.4-0ubuntu3) trusty; urgency=medium

  *  d/*.logrotate,neutron-common.logrotate: Backport from vivid,
     Move to single logrotate configuration. (LP: #1463844).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 10 Jun 2015 11:09:20 -0300

neutron (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 09:14:07 -0400

neutron (1:2014.1.4-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (036ef73) (LP: #1432608):
    - [4cdbefc] Eventlet green threads not released back to pool
    - [c3a88a5] Pass '--dhcp-authoritative' option to dnsmasq
    - [e390b13] Fix Metering doesn't respect the l3 agent binding
    - [4076e7c] Fix a race condition adding a security group rule
    - [c9cb001] Reset policies after RESOURCE_ATTRIBUTE_MAP is populated
    - [acb3728] Race for l2pop when ports go up/down on same host
    - [ed3d4ef] NSX: sync thread catches wrong exceptions on not found
    - [088b755] Notifier: Catch NotFound error from nova
    - [9501271] Fix enable_metadata_network flag
    - [d39349c] Fix hostname validation for nameservers
    - [56fcf7d] Convert all incoming protocol numbers to string
    - [0d599c6] BSN: Set inconsistency record on delete failure
    - [ffa6294] Stop ignoring 400 errors returned by ODL
    - [b9ade57] Delete disassociated floating ips on external network deletion
    - [ab7ea06] Fix hostname regex pattern
    - [f4c9c94] Cisco: update_port should only invoke n1kv and not nexus plugin
    - [90e8419] Optimize query in _select_dhcp_ips_for_network_ids
    - [70fb843] fix event_send for re-assign floating ip
    - [ae811df] Enabled Cisco ML2 driver to use new upstream ncclient
    - [39736e8] allow delete_port to work when there are multiple floating ips
    - [506bd94] Set vif_details to reflect enable_security_group
    - [5243217] Revert "Deletes floating ip related connection states"
    - [e34ba30] Big Switch: Fix SSL version on get_server_cert
    - [52727b7] NSX: allow multiple networks with same vlan on different phy_net
    - [be67d6d] Fix a recent ipv6 UT regression
    - [0e4f526] Check for IPv6 file before reading
    - [84d6d1b] Big Switch: Switch to TLSv1 in server manager
    - [dd8f2b6] Remove unused py33 tox env
    - [7a1b7bf] Big Switch: Don't clear hash before sync
    - [553fbce] Cisco N1kv: Remove vmnetwork delete REST call on last port delete
    - [965fb17] Skip lbaas table creation if tables already exist
    - [7f13cbc] Delete DHCP port without DHCP server on a net node
    - [534bfbc] Raise exception for network delete with subnets presents
    - [d3ccaa7] update vsm credential correctly


=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
Build-Depends-Indep:
 alembic (>= 0.4.1),
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-cliff (>= 1.4),
 python-configobj,
 python-coverage,
 python-d2to1,
 python-eventlet (>= 0.13.0),
 python-fixtures (>= 0.3.12),
 python-greenlet (>= 0.3.2),
 python-httplib2,
 python-iso8601,
 python-jinja2,
 python-jsonrpclib,
 python-keystoneclient (>= 1:0.2.0),
 python-kombu (>= 2.5.12),
 python-lxml,
 python-mock (>= 1.0b1),
 python-mox,
 python-netaddr,
 python-neutronclient (>= 1:2.2.3),
 python-novaclient (>= 2.12.0),
 python-oslo.config (>= 1:1.2.0a3),
 python-paste,
 python-pastedeploy,
 python-pbr (>= 0.5.21),
 python-psutil (>= 0.6.1),
 python-pyudev,
 python-requests (>= 1.1),
 python-routes,
 python-setuptools,
 python-simplejson,
 python-six (>= 1.5.2),
 python-sqlalchemy,
 python-stevedore (>= 0.10),
 python-testtools (>= 0.9.32),
 python-webob,
 python-webtest,
 subunit,
 testrepository ( >= 0.0.17)
XS-Python-Version: >= 2.6
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/icehouse
XS-Testsuite: autopkgtest

Package: neutron-server
Architecture: all
Depends:
 adduser,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-server (<< 1:2013.2~b2-0ubuntu1~)
Replaces: quantum-server (<< 1:2013.2~b2-0ubuntu1~)
Recommends: neutron-plugin-ml2
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron server

Package: neutron-common
Architecture: all
Depends:
 adduser,
 python-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Breaks:
 neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
 neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
 quantum-common ( << 1:2013.2~b2-0ubuntu1~ )
Replaces:
 neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
 neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
 quantum-common ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-plugin-cisco
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-cisco ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-cisco ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Cisco plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Cisco plugin.

Package: neutron-plugin-nec
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nec ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nec ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - NEC plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin.

Package: neutron-plugin-nec-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 neutron-plugin-nec,
 openvswitch-switch,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nec-agent ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nec-agent ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - NEC plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin agent.

Package: neutron-plugin-bigswitch
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - BigSwitch plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the BigSwitch plugin.

Package: neutron-plugin-bigswitch-agent
Architecture: all
Depends:
 neutron-plugin-bigswitch (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Neutron is a virtual network service for Openstack - BigSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the BigSwitch plugin agent.

Package: neutron-plugin-hyperv
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Hyper-V plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Hyper-V plugin.

Package: neutron-plugin-brocade
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Brocade plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Brocade plugin.

Package: neutron-plugin-plumgrid
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-plumgrid ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-plumgrid ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - PLUMgrid plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the PLUMgrid plugin.

Package: neutron-plugin-metaplugin
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-metaplugin ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-metaplugin ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Metaplugin plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Metaplugin plugin.

Package: neutron-plugin-vmware
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
Replaces: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
Description: Neutron is a virtual network service for Openstack - VMware plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically

## neutron 2014.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

Paste
PasteDeploy>=1.5.0
Routes>=1.12.3,!=2.0
anyjson>=0.3.3
argparse
Babel>=1.3
eventlet>=0.15.1
greenlet>=0.3.2
httplib2>=0.7.5
requests>=1.2.1,!=2.4.0
iso8601>=0.1.9
jsonrpclib
Jinja2
keystonemiddleware>=1.0.0
netaddr>=0.7.12
python-neutronclient>=2.3.6,<3
SQLAlchemy>=0.8.4,<=0.8.99,>=0.9.7,<=0.9.99
WebOb>=1.2.3
python-keystoneclient>=0.10.0
alembic>=0.6.4
six>=1.7.0
stevedore>=1.0.0  # Apache-2.0
oslo.config>=1.4.0  # Apache-2.0
oslo.db>=1.0.0  # Apache-2.0
oslo.messaging>=1.4.0
oslo.rootwrap>=1.3.0

python-novaclient>=2.18.0

=== debian/control ===
--- 
+++ 
@@ -5,51 +5,49 @@
 XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
 Build-Depends-Indep:
- alembic (>= 0.4.1),
- python-amqplib (>= 0.6.1),
+ alembic (>= 0.6.4),
  python-anyjson (>= 0.3.3),
- python-babel,
- python-cliff (>= 1.4),
- python-configobj,
+ python-babel (>= 1.3),
+ python-cliff (>= 1.6.0),
  python-coverage,
- python-d2to1,
  python-eventlet (>= 0.13.0),
- python-fixtures (>= 0.3.12),
+ python-fixtures (>= 0.3.14),
  python-greenlet (>= 0.3.2),
- python-httplib2,
- python-iso8601,
+ python-hacking (>= 0.9.2),
+ python-httplib2 (>= 0.7.5),
+ python-iso8601 (>= 0.1.9),
  python-jinja2,
  python-jsonrpclib,
- python-keystoneclient (>= 1:0.2.0),
- python-kombu (>= 2.5.12),
- python-lxml,
- python-mock (>= 1.0b1),
- python-mox,
- python-netaddr,
- python-neutronclient (>= 1:2.2.3),
- python-novaclient (>= 2.12.0),
- python-oslo.config (>= 1:1.2.0a3),
+ python-keystoneclient (>= 1:0.10.0),
+ python-keystonemiddleware (>= 1.0.0),
+ python-mock (>= 1.0),
+ python-netaddr (>= 0.7.12),
+ python-neutronclient (>= 1:2.3.6),
+ python-novaclient (>= 1:2.18.0),
+ python-oslo.config (>= 1:1.4.0.0~a3),
+ python-oslo.db (>= 0.4.0),
+ python-oslo.messaging (>= 1.4.0.0~a3),
+ python-oslo.rootwrap (>= 1.3.0.0~a1),
  python-paste,
  python-pastedeploy,
- python-pbr (>= 0.5.21),
- python-psutil (>= 0.6.1),
- python-pyudev,
- python-requests (>= 1.1),
- python-routes,
+ python-pbr (>= 0.6),
+ python-requests (>= 1.2.1),
+ python-requests-mock,
+ python-routes (>= 1.12.3),
  python-setuptools,
  python-simplejson,
- python-six (>= 1.5.2),
- python-sqlalchemy,
- python-stevedore (>= 0.10),
- python-testtools (>= 0.9.32),
- python-webob,
- python-webtest,
+ python-six (>= 1.7.0),
+ python-sqlalchemy (>= 0.8.4),
+ python-stevedore (>= 0.14),
+ python-testtools (>= 0.9.34),
+ python-webob (>= 1.2.3),
+ python-webtest (>= 2.0),
  subunit,
- testrepository ( >= 0.0.17)
+ testrepository ( >= 0.0.18)
 XS-Python-Version: >= 2.6
 Standards-Version: 3.9.4
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/icehouse/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/icehouse
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/juno/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/juno
 XS-Testsuite: autopkgtest
 
 Package: neutron-server
@@ -79,6 +77,7 @@
 Architecture: all
 Depends:
  adduser,
+ ipset,
  python-neutron (= ${source:Version}),
  ${misc:Depends},
  ${python:Depends}
@@ -309,5 +308,3 @@
 Breaks: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
 Replaces: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
 Description: Neutron is a virtual network service for Openstack - VMware plugin
- Neutron is a virtual network service for Openstack, and a part of
- Netstack. Just like OpenStack Nova provides an API to dynamically

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_install:
	dh_install --fail-missing -X/usr/etc

override_dh_installinit:
	dh_installinit
	dh_installinit -pneutron-plugin-openvswitch-agent --no-start --name=neutron-ovs-cleanup

override_dh_auto_clean:
	dh_clean

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Unpatch quantum configuration to fixup tests which conflict
	# with a core_plugin being set.
	patch -p1 -R < debian/patches/fix-neutron-configuration.patch
	# Set a reasonable level of concurrency
	./run_tests.sh -N -P
	# Patch configuration file after testing
	patch -p1 < debian/patches/fix-neutron-configuration.patch
endif

=== debian/tests/control ===
--- 
+++ 
@@ -3,4 +3,4 @@
  linuxbridge-plugin ryu-plugin midonet-plugin
 Depends: neutron-server, neutron-l3-agent, neutron-dhcp-agent, neutron-metadata-agent,
  neutron-lbaas-agent, python-neutron, rabbitmq-server
-Restrictions: needs-root
+Restrictions: needs-root allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/neutron neutron-(\d.*)\.tar\.gz
